=== debian/changelog ===
audacity-dmo (1:3.7.7-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 12 Dec 2025 00:19:26 +0100
